﻿using System;
using System.Runtime.Serialization;
 namespace Nehta.VendorLibrary.CDA.Common.Enums
  {
    /// <summary>
    /// DocumentProvenance
    /// </summary>
    [Serializable]
    [DataContract]
    public enum DocumentProvenance
    {
      [EnumMember]
      [Name(Code = "102.16720.160.1.1", Name = "Shared Health Summary Document Provenance", CodeSystem = "NCTIS")]
      SharedHealthSummaryDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16720.160.1.2", Name = "Advance Care Directive Custodian Document Provenance", CodeSystem = "NCTIS")]
      AdvanceCareDirectiveCustodianDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16720.160.1.3", Name = "New Document Provenance", CodeSystem = "NCTIS")]
      NewDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16720.160.1.4", Name = "Recent Document Provenance", CodeSystem = "NCTIS")]
      RecentDocumentProvenance,

      [EnumMember]
      [Name(Code = "101.16722.160.1.5", Name = "Recent Diagnostic Test Result Document Provenance", CodeSystem = "NCTIS")]
      RecentDiagnosticTestResultDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16720.160.1.6", Name = "Medicare Document Provenance", CodeSystem = "NCTIS")]
      MedicareDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16720.160.1.7", Name = "Consumer Entered Document Provenance", CodeSystem = "NCTIS")]
      ConsumerEnteredDocumentProvenance,
    }
  }

